#
# Conditional build:
%bcond_without	gdiplus	# use libjpeg and libtiff instead of system GDIPLUS
#
Summary:	An image loading and scaling library - cross MinGW32 version
Summary(pl.UTF-8):	Biblioteka ładująca i skalująca obrazki - wersja skrośna MinGW32
Name:		crossmingw32-gdk-pixbuf2
Version:	2.32.1
Release:	1
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gdk-pixbuf/2.32/gdk-pixbuf-%{version}.tar.xz
# Source0-md5:	b1590189a2e89fab9f871959c168508c
Patch0:		gdk-pixbuf2-png-nodep.patch
Patch1:		gdk-pixbuf2-gdip.patch
URL:		http://developer.gnome.org/gdk-pixbuf/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-glib2 >= 2.37.6
BuildRequires:	crossmingw32-jasper
BuildRequires:	crossmingw32-libpng
BuildRequires:	gettext-tools >= 0.19
BuildRequires:	gtk-doc >= 1.20
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig >= 1:0.15
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{without gdiplus}
BuildRequires:	crossmingw32-libjpeg
BuildRequires:	crossmingw32-libtiff
%endif
Requires:	crossmingw32-glib2 >= 2.37.6
Conflicts:	crossmingw32-gtk+2 < 2.22.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		abiver	2.10.0

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

#define         filterout_ld            (-Wl,)?-as-needed.*

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*

%description
gdk-pixbuf is an image loading and scaling library that can be
extended by loadable modules for new image formats.

This package contains the cross version for Win32.

%description -l pl.UTF-8
gdk-pixbuf to biblioteka ładująca i skalująca obrazki, której
funkcjonalność może być rozszerzana o obsługę nowych formatów poprzez
ładowane moduły.

Ten pakiet zawiera wersję skrośną dla Win32.

%package dll
Summary:	DLL gdk-pixbuf libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL gdk-pixbuf dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-glib2-dll >= 2.37.6
Requires:	wine
Conflicts:	crossmingw32-gtk+2-dll < 2.22.0

%description dll
DLL gdk-pixbuf libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL gdk-pixbuf dla Windows.

%prep
%setup -q -n gdk-pixbuf-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
export PKG_CONFIG_LIBDIR=%{_prefix}/lib/pkgconfig
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-gtk-doc \
	--disable-man \
	--disable-silent-rules \
	--with-libjasper \
	%{!?with_gdiplus:--without-gdiplus}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll \
	$RPM_BUILD_ROOT%{_libdir}/gdk-pixbuf-2.0/%{abiver}/loaders/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

# shut up check-files
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{gtk-doc,locale,man}
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/gdk-pixbuf-2.0/%{abiver}/loaders/*.{la,dll.a}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/libgdk_pixbuf-2.0.dll.a
%{_libdir}/libgdk_pixbuf-2.0.la
%{_libdir}/gdk_pixbuf-2.0.def
%{_includedir}/gdk-pixbuf-2.0
%{_pkgconfigdir}/gdk-pixbuf-2.0.pc

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libgdk_pixbuf-2.0-*.dll
%dir %{_libdir}/gdk-pixbuf-2.0
%dir %{_libdir}/gdk-pixbuf-2.0/%{abiver}
%dir %{_libdir}/gdk-pixbuf-2.0/%{abiver}/loaders
%{_libdir}/gdk-pixbuf-2.0/%{abiver}/loaders/libpixbufloader-*.dll
%changelog
* Mon Sep 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-gdk-pixbuf2.git;a=log;h=master

* Mon Sep 28 2015 Jakub Bogusz <qboosh@pld-linux.org> dfa5087
- updated to 2.32.1

* Mon Sep 28 2015 Jakub Bogusz <qboosh@pld-linux.org> cd84fdd
- updated to 2.32.0

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> b726db6
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> b486343
- updated gettext BR

* Tue May 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 3d89a3b
- updated to 2.30.8

* Wed Mar 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 3b977e5
- updated to 2.30.7

* Tue Mar 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 3fb4fc8
- updated to 2.30.6

* Sat Feb 22 2014 Jakub Bogusz <qboosh@pld-linux.org> fc20a71
- updated to 2.30.5

* Tue Feb 04 2014 Jakub Bogusz <qboosh@pld-linux.org> f02b177
- updated to 2.30.4

* Sun Jan 19 2014 Jakub Bogusz <qboosh@pld-linux.org> f76ec3a
- updated to 2.30.3

* Sun Dec 22 2013 Jakub Bogusz <qboosh@pld-linux.org> ae872b5
- updated to 2.30.2

* Wed Nov 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 304e2dc
- updated to 2.30.1
- removed obsolete win32 patch

* Tue Sep 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 4f72799
- updated to 2.30.0
- added win32 patch (disable unix-specific resource limits when compiling on win32)

* Sun Jun 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 4f4b110
- updated to 2.28.2

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 6b48c5a
- do not require pkgconfig deps either

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> b0fb6ff
- do not provide pkgconfig deps in system namespace

* Tue Apr 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 68cc887
- updated to 2.28.1

* Wed Mar 27 2013 Jakub Bogusz <qboosh@pld-linux.org> b23f8b9
- updated to 2.28.0

* Tue Nov 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 9ef3d18
- updated to 2.26.5

* Tue Sep 18 2012 Jakub Bogusz <qboosh@pld-linux.org> aadfbf6
- updated to 2.26.4
- added filterout_c

